PHP Manual
Prev |  | Next

# ZipArchive::getFromIndex

(no version information, might be only in CVS)

ZipArchive::getFromIndex -- Returns the entry contents using its index.

## Description

mixed ZipArchive::getFromIndex ( int index [, int flags] )

Returns the entry contents using its index.

## Parameters

`index`

  Index of the entry

`flags`

  The flags to use to open the archive. the following values may be ORed to it.

  - `ZIPARCHIVE::FL_UNCHANGED`

  - `ZIPARCHIVE::FL_COMPRESSED`

## Return Values

Returns the contents of the entry on success or `FALSE` on failure.

## Examples

Example 1. Get the file contents

`<?php $zip = new ZipArchive; if ($zip->open('test.zip') === TRUE) { echo $zip->getFromIndex(2); $zip->close(); } else { echo 'failed'; } ?>`

Prev | Home | Next
ZipArchive::getCommentName | Up | ZipArchive::getFromName